using System.ComponentModel;
using System.Collections.ObjectModel;

namespace RadGridView_SL4_AR_25
{
	public class MyViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;
		
		private ObservableCollection<BusinessClass1> _GridItems;

		public ObservableCollection<BusinessClass1> GridItems
		{
			get 
			{
				return BusinessClass1.GetDays();
			}

			set
			{
				_GridItems = value;
				OnPropertyChanged("GridItems");

			}

		}
		

		protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
		{
			PropertyChangedEventHandler handler = this.PropertyChanged;
			if (handler != null)
			{
				handler(this, args);
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
		}
	}
}
